Bug 1272525 (CVE-2015-7971, xsa152) - CVE-2015-7971 xen: Some pmu and profiling hypercalls log without rate limiting on x86
Summary: CVE-2015-7971 xen: Some pmu and profiling hypercalls log without rate limitin...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2015-7971, xsa152
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1276344
Blocks: 1272534
TreeView+ depends on / blocked
 
Reported: 2015-10-16 15:57 UTC by Adam Mariš
Modified: 2019-09-29 13:38 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-07 10:01:41 UTC


Attachments (Terms of Use)
xen-unstable, Xen 4.6.x (2.35 KB, patch)
2015-10-16 16:00 UTC, Adam Mariš
no flags Details | Diff
Xen 4.5.x, Xen 4.4.x, Xen 4.3.x (1.41 KB, patch)
2015-10-16 16:01 UTC, Adam Mariš
no flags Details | Diff

Description Adam Mariš 2015-10-16 15:57:48 UTC
HYPERCALL_xenoprof_op and HYPERVISOR_xenpmu_op log some errors and attempts at invalid operations. These log messages are not rate-limited, even though they can be triggered by guests.

A malicious guest could cause repeated logging to the hypervisor console, leading to a Denial of Service attack.

Xen versions 3.2.x and later are affected. (The VPMU part of the vulnerability is applicable only to Xen 4.6 and later.) ARM systems are not affected. (The pmu hypercall is x86-specific, and xenoprof is not supported on ARM.)

Mitigation:

The problematic log messages are issued with priority Warning. Therefore they can be rate limited by adding "loglvl=error/warning" to the hypervisor command line or suppressed entirely by adding "loglvl=error". On systems where the guest kernel is controlled by the host rather than guest administrator, running only kernels which do not call these hypercalls will also prevent untrusted guest users from exploiting this issue. However untrusted guest administrators can still trigger it unless further steps are taken to prevent them from loading code into the kernel (e.g. by disabling loadable modules etc) or from using other mechanisms which allow them to run code at kernel privilege.

Comment 1 Adam Mariš 2015-10-16 16:00:24 UTC
Created attachment 1083753 [details]
xen-unstable, Xen 4.6.x

Comment 2 Adam Mariš 2015-10-16 16:01:14 UTC
Created attachment 1083754 [details]
Xen 4.5.x, Xen 4.4.x, Xen 4.3.x

Comment 3 Martin Prpič 2015-10-29 13:41:23 UTC
External References:

http://xenbits.xen.org/xsa/advisory-152.html

Comment 4 Martin Prpič 2015-10-29 13:51:33 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1276344]

Comment 5 Fedora Update System 2015-11-08 22:21:04 UTC
xen-4.5.1-14.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-11-10 00:22:18 UTC
xen-4.5.1-14.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-11-10 00:50:27 UTC
xen-4.4.3-7.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.